// константы для выводов
#define PIN_TRIG 11
#define PIN_ECHO 10
#define PIN_PE 12
// расстояние обнаружения см 
#define DIST_DETECT 100
// подключение библиотеки для HC SR04
#include "Ultrasonic.h"
// создание объекта Ultrasonic
Ultrasonic ultrasonic(PIN_TRIG, PIN_ECHO);
// переменная для хранения измеренного расстояния
float dist_cm=0;
 
void setup()  { 
  // запуск последовательного порта
  Serial.begin(9600);
  // назначить P-E как OUTPUT
  pinMode(PIN_PE, OUTPUT); 
  digitalWrite(PIN_PE, LOW); 
} 
 
void loop() {
    // получить данные с дальномера
    dist_cm = ultrasonic.Ranging(CM);
    Serial.println(dist_cm); 
    // обнаружение объекта в зоне 
    if(dist_cm>0 && dist_cm<DIST_DETECT) {
      // включить воспроизведения мелодии
      digitalWrite(PIN_PE, HIGH); 
      // пауза на время воспроизведения
      delay(6000);
      digitalWrite(PIN_PE, LOW); 
    } 
}

